One message: summary, timeline, request and attempts
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/transactional/messages/example"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/transactional/messages/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/transactional/messages/example \ --header 'Authorization: Bearer <token>'Permission: transactional:view
Sensitive values show as ••••••. The rendered content is a separate call that needs transactional:content.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
The message ID the send API answered
The message ID the send API answered
Responses
Section titled “Responses”OK
object
When the call was accepted
object
object
object
Mailbox_unknown, mailbox_full, domain_invalid, policy_block, spam_block, reputation, temporary, other
object
object
object
object
object
object
object
object
object
object
The suppression as it is now; empty once it was removed
object
object
object
The condition’s field: category or mailbox_provider
object
The suppression as it is now; empty once it was removed
object
object
object
Example
{ "bounce": { "diagnostic": "452 4.2.2 mailbox full", "kind": "hard" }, "languageInfo": { "reason": "match" }, "rejection": { "optOut": { "source": "preference_center" }, "reason": "suppressed", "suppression": { "code": "550 5.1.1", "reason": "hard_bounce", "scope": "all", "source": "Postmark" } }, "resend": { "reason": "sensitive" }, "status": "queued", "suppression": { "code": "550 5.1.1", "reason": "hard_bounce", "scope": "all", "source": "Postmark" }, "timeline": [ { "kind": "accepted" } ]}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}